Bug 112650 - Disable 'background settings for all pages' dialog appearing when inserting background image
Summary: Disable 'background settings for all pages' dialog appearing when inserting b...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: Impress-UX Dialog-Msgbox
  Show dependency treegraph
 
Reported: 2017-09-25 18:05 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-11-21 20:52 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-09-25 18:05:45 UTC
I find it a big nonsense that every time i click the 'Insert Image' button in the sidebar or Slide > Set Background Image... that it brings up a dialog asking me if i wanted to insert the image on all the slides.
Comment 1 V Stuart Foote 2017-09-25 18:18:13 UTC
@Jay, if you are creating a new presentation you could do the insert at any slide, and with the pop-up set it as the background for all slides.  

If you don't want it for all slides, just no out of the pop-up and set each slide as needed.

The UI/UX seems functional, what do we gain by suppressing the pop-up?
Comment 2 Yousuf Philips (jay) (retired) 2017-09-25 19:11:57 UTC
(In reply to V Stuart Foote from comment #1)
> @Jay, if you are creating a new presentation you could do the insert at any
> slide, and with the pop-up set it as the background for all slides.  

How often in a presentation is a single background used for all slides? Saying yes in the dialog simply sets the image as the background of the master slide rather than setting it as the background of the current slide.

> If you don't want it for all slides, just no out of the pop-up and set each
> slide as needed.

So if i made a presentation with 4 slides and each slide had a different background image, i'm having to click 'No' four times for what benefit.

> The UI/UX seems functional, what do we gain by suppressing the pop-up?

This dialog also appears when exiting the slide properties dialog when a new background is set, and even there its bad UX. Users should learn about master slides to get this functionality and not constantly have to see such dialogs while in normal view.
Comment 3 Cor Nouws 2017-09-25 19:18:54 UTC
(In reply to V Stuart Foote from comment #1)
> @Jay, if you are creating a new presentation you could do the insert at any
> slide, and with the pop-up set it as the background for all slides.  

Since it makes no distinction between various master pages, and indeed all slide masters are changed, IMO this function is meant for quick work.

> If you don't want it for all slides, just no out of the pop-up and set each
> slide as needed.

ESC does the job.

> The UI/UX seems functional, what do we gain by suppressing the pop-up?

One could think for a separate maybe: set background image / set background image for all slides. Or whatever.
OTOH, how often do you set a background image (is not per see the same as an image behind text and other objects.)
Comment 4 Cor Nouws 2017-09-25 19:20:39 UTC
"[ ]  do not show this message again"  :p
Comment 5 Yousuf Philips (jay) (retired) 2017-09-26 08:20:24 UTC
(In reply to Cor Nouws from comment #3)
> Since it makes no distinction between various master pages, and indeed all
> slide masters are changed, IMO this function is meant for quick work.

In master slide mode when you change the background image of a master slide, it doesnt ask you to assign that same image to all the other master slides, so why would that make sense when you are in normal mode. And normally master slides all have different background images. It would make more sense if when in normal mode it asked to set the background image of the master slide assigned to the current slide, but even that still would be annoying.

> One could think for a separate maybe: set background image / set background
> image for all slides. Or whatever.

I think you are missing one - set background image of slide's assigned master slide. Ultimately the best option is for users to go to the correct place and set the background image.

> OTOH, how often do you set a background image (is not per see the same as an
> image behind text and other objects.)

If you are a basic user (aka benjamin) who starts impress without a template and has no knowledge of master slides, he would be assigning a background image for each slide he creates.
Comment 6 Heiko Tietze 2017-09-26 15:17:14 UTC
Lets talk in the design meeting about the pro and con.
Comment 7 Cor Nouws 2017-11-02 10:20:56 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> (In reply to Cor Nouws from comment #3)
> > Since it makes no distinction between various master pages, and indeed all
> > slide masters are changed, IMO this function is meant for quick work.
> 
> In master slide mode when you change the background image of a master slide,
> it doesnt ask you to assign that same image to all the other master slides,
> so why would that make sense when you are in normal mode. And normally
> master slides all have different background images. It would make more sense
> if when in normal mode it asked to set the background image of the master
> slide assigned to the current slide, but even that still would be annoying.

IMO this function is meant for quick work.

> > One could think for a separate maybe: set background image / set background
> > image for all slides. Or whatever.
> 
> I think you are missing one - set background image of slide's assigned
> master slide. Ultimately the best option is for users to go to the correct
> place and set the background image.

Sure.

> > OTOH, how often do you set a background image (is not per see the same as an
> > image behind text and other objects.)
> 
> If you are a basic user (aka benjamin) who starts impress without a template
> and has no knowledge of master slides, he would be assigning a background
> image for each slide he creates.

And she would be annoyed to have to do it over and again ;)
Comment 8 Yousuf Philips (jay) (retired) 2017-11-03 14:48:28 UTC
(In reply to Cor Nouws from comment #7)
> And she would be annoyed to have to do it over and again ;)

No presentation has only 1 background image, so no it wouldnt be annoying to have to set it without dialog. Here is an annoying example,

1. start blank template
2. set background for this title slide and you get dialog to set it for all pages, so say okay and it sets it for the master slide
3. add a new slide
4. set background for it and you get dialog to set it for all page, so say no as slide 2 is supposed to have a different background as its a content slide
5. add a new slide
6. set background for it and you get dialog to set it for all page, so say no as slide 3 is supposed to have a different background as its the credit slide

Users who arent familiar with master slides will likely duplicate existing slides that have the background they want to use on a new slide.
Comment 9 Thomas Lendo 2017-11-09 12:09:17 UTC
I'm not creating presentations often but my experience is that especially company presentations have indeed the same background for all slides. That's mostly part of the corporate identity. Own backgrounds for every slide seems no good idea [*].

But this is another issue and hasn't anything to do with UX questions.

Having [*] in mind, I see the benefit of the existing solution.

But ... from a usability perspective this pop-up question is bad because:
* The user isn't forewarned that a new question is asked after selecting an image. The user doesn't expect it.
* Such question is disrupting the workflow. Maybe the user want's to add a background to the current slide and is in hurry, this pop-up mislead him/her to click the false button.


Either we want that the user is using master slides, then the question should be removed and only a single slide background should be changed.

Or we want that the user has the possibility to do both to change background of single slide or all slides, then maybe 2 buttons can help:

[   Insert Image for current slide   ]
[   Insert Image for all slides      ]

Or less intrusive would be a checkbox in the bottom of the "Set Background Image for Slide ..." windows in the near of the "Links" checkbox.

[ ] Set background image for all slides   [ ] Link
Comment 10 Heiko Tietze 2017-11-15 20:25:41 UTC
We discussed the request in the design meeting and agreed on the change. If the user wants to change the background image on all slides the supposed way is through the master slides. 

The change might be pretty easy, just drop the dialog and use the current slide only.
Comment 11 Yousuf Philips (jay) (retired) 2017-11-15 21:09:09 UTC
Adolfo also suggested in the meeting that we could add a checkbox in the insert image dialog, which would be disabled by default, and labelled something like 'add image as background of all slides'.
Comment 12 Heiko Tietze 2017-11-17 16:43:59 UTC
Patch is here https://gerrit.libreoffice.org/#/c/44888/, though it's not perfect yet.
Comment 13 Commit Notification 2017-11-21 19:57:57 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e21f7f7ef043d4fd7ecda92a513e37f720c52ba8

tdf#112650 Disable 'background settings for all pages'

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.